Package com.macrofocus.high_d.scatterplot

# Class AbstractScatterPlotView.AbstractVisualLayerIDrawing

java.lang.Object
com.macrofocus.igraphics.AbstractIDrawing
com.macrofocus.high_d.scatterplot.AbstractScatterPlotView.AbstractVisualLayerIDrawing

All Implemented Interfaces:
  `com.macrofocus.igraphics.IDrawing`

Enclosing class:
  `AbstractScatterPlotView<Component,Color,Font,Row,Column>`

public abstract class AbstractScatterPlotView.AbstractVisualLayerIDrawing extends com.macrofocus.igraphics.AbstractIDrawing

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractVisualLayerIDrawing(com.macrofocus.visual.VisualLayer<Row> visualLayer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `draw(com.macrofocus.igraphics.IGraphics g, com.macrofocus.geom.Point2D point, double gw, double gh, com.macrofocus.geom.Rectangle clipBounds)`
  `abstract void`
  `draw(com.macrofocus.igraphics.IGraphics g, Row row, double width, double height)`
  `boolean`
  `isActive()`

  ### Methods inherited from class com.macrofocus.igraphics.AbstractIDrawing

  `addIDrawingListener, notifyIDrawingChanged, removeIDrawingListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractVisualLayerIDrawing

    protected AbstractVisualLayerIDrawing(com.macrofocus.visual.VisualLayer<Row> visualLayer)

- ## Method Details

  - ### isActive

    public boolean isActive()
    Specified by:
      `isActive` in interface `com.macrofocus.igraphics.IDrawing`
    Overrides:
      `isActive` in class `com.macrofocus.igraphics.AbstractIDrawing`

  - ### draw

    public void draw(com.macrofocus.igraphics.IGraphics g, com.macrofocus.geom.Point2D point, double gw, double gh, com.macrofocus.geom.Rectangle clipBounds)

  - ### draw

    public abstract void draw(com.macrofocus.igraphics.IGraphics g, Row row, double width, double height)